### File

`packages/components/eui-icon/eui-icon-svg.component.ts`

### Description

The EuiIconSvgComponent is used to display SVG icons in the application. It allows for customization of the icon's size, color, and other properties.

### Implements

`AfterContentInit` `OnChanges` `OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-icon-svg, span[euiIconSvg], i[euiIconSvg]`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-icon-svg.component.html`

### Index

###### Properties
ariaRole Public assetsBaseUrl Public iconName Public iconStyle
###### Inputs
aria-label ariaHidden euiEnd euiStart euiVariant fillColor focusable icon iconUrl isInputIcon isLoading set size style transform
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Inputs

aria-label
Type : `string`
Default value : `'Icon'`

ariaHidden
Type : `boolean`
Default value : `true`

euiEnd
Type : `boolean`
Default value : `false`

euiStart
Type : `boolean`
Default value : `false`

euiVariant
Type : `string`

fillColor
Type : `string`

focusable
Type : `boolean`
Default value : `false`

icon
Type : `string`

iconUrl
Type : `string`

isInputIcon
Type : `boolean`
Default value : `false`

isLoading
Type : `boolean`
Default value : `false`

set
Type : `string`
Default value : `'eui'`

size
Type : `"2xs" | "xs" | "s" | "m" | "l" | "xl" | "2xl" | "3xl" | "4xl" | string`
Default value : `'m'`

style
Type : `string`
Default value : `''`

transform
Type : `string`
Default value : `''`

### HostBindings

attr.role
Type : `string`
Default value : `'img'`

class
Type : `string`

### Properties

ariaRole
Type : `string`
Default value : `'img'`
Decorators : `@HostBinding('attr.role')`

Public assetsBaseUrl
Type : `string`
Default value : `'assets'`

Public iconName
Type : `string`

Public iconStyle
Type : `string`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""